Get Complex Order
curl --request GET \
--url https://api.centosfi.com/v1/complex-orders/{complex_order_id}import requests
url = "https://api.centosfi.com/v1/complex-orders/{complex_order_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.centosfi.com/v1/complex-orders/{complex_order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"complex_order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"complex_order_type": "<string>",
"subaccount_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"complex_order_subtype": "<string>",
"centos_id": 123,
"custom_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conditional_order": {
"parent_centos_order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_complex_order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conditional_order_type": "<string>",
"stop_order_price": 123,
"trigger_stop_order_price": 123,
"trigger_order_type": "<string>",
"trigger_order_qty": 123,
"trigger_order_limit_price": 123,
"trigger_order_buy_flag": true,
"trigger_centos_order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger_complex_order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Complex Orders
Get Complex Order
Get a single complex order by ID.
Returns complete complex order details including trigger configuration and current status.
GET
/
v1
/
complex-orders
/
{complex_order_id}
Get Complex Order
Path Parameters
Response
Successful Response
Schema for a complex order response (unified across all complex order types).
Unique complex order identifier
Complex order type: CONDITIONAL, TWAP, etc.
Subaccount the order belongs to
Order status (interpretation depends on complex_order_type)
Creation timestamp (UTC)
Last update timestamp (UTC)
Complex order subtype: TP, SL, STOP, etc.
Instrument ID
Custom asset basket ID
Conditional order
Show child attributes
Show child attributes

